<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
</head>

<body>
  <div class="container">
    

    <form id="inputform01" class="jumbotron container">
      
      
      
        <div class="col-sm-3">
          <label for="province">Tinh thanh pho</label>
        </div>
        <div class="col-sm-5">
          <select id="province-select" name="province" class="form-control">
          </select>
        </div>
        <br>
        <br>
        <div class="col-sm-3">
          <label for="district">Quan huyen</label>
        </div>
        <div class="col-sm-5">
          <select id="district-select" disabled name="district" class="form-control">
          </select>
        </div>
        <br>
        <br>
        <div class="col-sm-3">
          <label for="ward">Phuong xa</label>
        </div>
        <div class="col-sm-5">
          <select id="ward-select" disabled name="ward" class="form-control">
          </select>
      <br>
      <div class="row pull-right">
        <div class="col-sm-12">
          <input type="button" value="Send" class="btn btn-info" id="send-button">
        </div>
      </div>
    </form>
  </div>
  <script>
    //Get data province
    $.ajax({
      url: "http://localhost:8080/provinces",
      method: "GET",
      success: function(pObjRes) {
        console.log(pObjRes);
        loadDataToprovinceSelect(pObjRes);
      },
      error: function(pXhrObj) {
        console.log(pXhrObj);
      }
    });

    var gprovinceSelectElement = $("#province-select");

    function loadDataToprovinceSelect(pprovinceList) {
      for (i = 0; i < pprovinceList.length; i++) {
        var bprovinceOption = $("<option/>");
        bprovinceOption.prop("value", pprovinceList[i].id);
        bprovinceOption.prop("text", pprovinceList[i].name);
        gprovinceSelectElement.append(bprovinceOption);
      };
    }

    var gdistrictSelectElement = $("#district-select");

    //callback function
    gprovinceSelectElement.on("change", function () {
      gdistrictSelectElement.html("");
      var bprovinceCode = $(this).val();

      getdistrictsByprovinceCode(bprovinceCode);
    });

    //find brandTypes array by brandId
    function getdistrictsByprovinceCode(id) {
      $.ajax({
        url: "http://localhost:8080/districts?province_id="+id,
        method: "GET",
        success: function(pObjRes) {
          console.log(pObjRes);
          loadDataTodistrictSelect(pObjRes);
        },
        error: function(pXhrObj) {
          console.log(pXhrObj);
        }
      });
    }

    function loadDataTodistrictSelect(pdistrictList) {
      if (pdistrictList.length > 0) {
        gdistrictSelectElement.prop("disabled", false);

        for (i = 0; i < pdistrictList.length; i++) {
          var bdistrictOption = $("<option/>");
          bdistrictOption.prop("value", pdistrictList[i].id);
          bdistrictOption.prop("text", pdistrictList[i].name);
          gdistrictSelectElement.append(bdistrictOption);
        };
      } else {
        gdistrictSelectElement.prop("disabled", "disabled");
      }
    }
    //ward
    var gwardSelectElement = $("#ward-select");

    //callback function
    gprovinceSelectElement.on("change", function () {
      gwardSelectElement.html("");
      var bprovinceCode = $(this).val();

      getwardsByprovinceCode(bprovinceCode);
    });

    //find brandTypes array by brandId
    function getwardsByprovinceCode(id) {
      $.ajax({
        url: "http://localhost:8080/wards?district_id="+id,
        method: "GET",
        success: function(pObjRes) {
          console.log(pObjRes);
          loadDataTowardSelect(pObjRes);
        },
        error: function(pXhrObj) {
          console.log(pXhrObj);
        }
      });
    }

    function loadDataTowardSelect(pwardList) {
      if (pwardList.length > 0) {
        gwardSelectElement.prop("disabled", false);

        for (i = 0; i < pwardList.length; i++) {
          var bwardOption = $("<option/>");
          bwardOption.prop("value", pwardList[i].id);
          bwardOption.prop("text", pwardList[i].name);
          gwardSelectElement.append(bwardOption);
        };
      } else {
        gwardSelectElement.prop("disabled", "disabled");
      }
    }
  </script>
</body>

</html>